# -*- rpm-spec -*-
# $Id: icecast,v 1.7 2002/12/26 12:40:56 lioka Exp $

Name: icecast
Version: 1.3.12
Release: alt4

%define confdir %_sysconfdir/%name

Summary: Icecast - Streaming Media Server
License: GPL
Group: System/Servers
Url: http://www.icecast.org

Source0: %url/releases/%name-%version.tar.bz2
Source1: %name.init
Source2: %name.logrotate

Patch0: %name-configure.patch
Patch1: %name-shutup.patch

BuildRequires: libwrap-devel

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology. It is, however, not limited to streaming mp3 files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-fsstd --with-libwrap --without-python
%make_build

%install
%make_install DESTDIR=%buildroot install

for f in %buildroot%confdir/*dist; do
	mv -f "$f" `echo "$f" |sed -e 's/.dist//'`
done

install -p -m755 -D %SOURCE1 %buildroot%_initdir/%name
install -p -m640 -D %SOURCE2 %buildroot%_sysconfdir/logrotate.d/%name
touch %buildroot%_logdir/%name/{{%name,stats,usage,access}.log,stats.html}

%pre
/usr/sbin/groupadd -r -f %name &>/dev/null
/usr/sbin/useradd -r -g %name -d %_localstatedir/%name -s /dev/null \
	-c "Icecast Streaming Media Server" -M -n %name &>/dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%doc AUTHORS BUGS CHANGES FAQ README TESTED TODO doc/manual.html
%config %_sysconfdir/logrotate.d/%name
%config %_initdir/%name
%dir %confdir
%config %confdir/*
%_sbindir/*
%dir %_localstatedir/%name
%dir %_localstatedir/%name/templates
%_localstatedir/%name/templates/*.html
%attr(2770,root,%name) %dir %_localstatedir/%name/static
%attr(2750,root,%name) %dir %_logdir/%name
%attr(0660,root,%name) %_logdir/%name/*

%changelog
* Thu Dec 26 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.3.12-alt4
- rebuilt with new (shared) libwrap

* Sat Oct 19 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.3.12-alt3
- rebuilt in new env

* Wed Jun 26 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.3.12-alt2
- bug #1034 fixed

* Sat May 25 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.3.12-alt1
- 1.3.12 
- tcp_wrappers back

* Mon Sep  3 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.3.11-alt1
- 1.3.11
- buggy tcp_wrappers support removed

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.10-alt2
- Fixed init script.
- Specfile cleanup.

* Wed Mar 21 2001 Sergey Bolshakov <s.bolshakov@belcaf.com>
- First build for ALT Linux distribution


